Bug 68462 - netfs starts to early
netfs starts to early
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 08:14 EDT by Toralf
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 04:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch: Update chkconfig info so that netfs starts after ypbind (422 bytes, patch)
2002-07-10 08:16 EDT, Toralf
no flags Details | Diff

  None (edit)
Description Toralf 2002-07-10 08:14:46 EDT
Description of Problem:
The netfs init script has startup sequence number 25. This is somewhat too low
as it means that ypbind has number 27. In other words, netfs will be started
before ypbind, which means that it fails if NIS is used for host name resolution.


Version-Release number of selected component (if applicable):
6.40-1, 6.53-1, 6.67-1
Comment 1 Toralf 2002-07-10 08:16:17 EDT
Created attachment 64584 [details]
Patch: Update chkconfig info so that netfs starts after ypbind
Comment 2 Bill Nottingham 2002-08-13 22:00:22 EDT
ypbind requires things in /usr. /usr could be on nfs.
Comment 3 Toralf 2002-08-28 04:29:29 EDT
Yes, never really though of that. Using NIS for host names still seems more
likely, but perhaps only from where I'm standing.

An unresolvable race, I guess, unless you break with the strict ordered service
startup and actually try to start ypbind several times (and silently ignore
failures of initial attempts.)
Comment 4 Bill Nottingham 2002-08-28 12:10:07 EDT
Resolving as deferred; there are some ways to possibly do this, but they'd rely
on doing things other than just tweaking the priorities.

Note You need to log in before you can comment on or make changes to this bug.